#if !defined(AFX_DATUMVW_H__E67C9FC0_1C1E_11D3_BCEB_0000E20FD521__INCLUDED_)
#define AFX_DATUMVW_H__E67C9FC0_1C1E_11D3_BCEB_0000E20FD521__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Datumvw.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDatumView dialog

class CDatumView : public CDialog
{
// Construction
public:
	CDatumView(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDatumView)
	enum { IDD = IDD_DATUM_DIALOG };
	CString	m_datum_code;
	CString	m_deltaX;
	CString	m_deltaY;
	CString	m_deltaZ;
	CString	m_datum_name;
	CString	m_sigmaX;
	CString	m_sigmaY;
	CString	m_sigmaZ;
	int		m_ellipsoid_index;
	CString	m_east_lon;
	CString	m_north_lat;
	CString	m_south_lat;
	CString	m_west_lon;
	//}}AFX_DATA
   const char* m_datum_code_value;
   const char* m_datum_name_value;
   double   m_deltaX_value;
   double   m_deltaY_value;
   double   m_deltaZ_value;
   double   m_sigmaX_value;
   double   m_sigmaY_value;
   double   m_sigmaZ_value;
   double   m_west_lon_value;
   double   m_east_lon_value;
   double   m_south_lat_value;
   double   m_north_lat_value;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDatumView)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void FillListBox();
    BOOL OnInitDialog(void);
	// Generated message map functions
	//{{AFX_MSG(CDatumView)
	afx_msg void OnChangeDatumCode();
	afx_msg void OnChangeDatumName();
	afx_msg void OnChangeDatumDeltax();
	afx_msg void OnChangeDatumDeltay();
	afx_msg void OnChangeDatumDeltaz();
	afx_msg void OnChangeDatumSigmax();
	afx_msg void OnChangeDatumSigmay();
	afx_msg void OnChangeDatumSigmaz();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSelchangeDatumEllipsoidCombobox();
	afx_msg void OnChangeDatumEastLon();
	afx_msg void OnChangeDatumNorthLat();
	afx_msg void OnChangeDatumSouthLat();
	afx_msg void OnChangeDatumWestLon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATUMVW_H__E67C9FC0_1C1E_11D3_BCEB_0000E20FD521__INCLUDED_)
