/*
 * CoordinateTypes.java
 *
 * Created on April 3, 2001, 4:18 PM
 */

package geotrans;

/**
 *
 * @author  amyc
 * @version 
 */
public class CoordinateTypes extends Object {

    // Variable declaration for projection list.
    // The list index is based on order. 
    // These variables must be syncronized with any changes in the list.
    public final static int GEODETIC  = 0;        // index = 0
    public final static int GEOREF    = 1;        // index = 1
    public final static int GEOCENTRIC = 2;       // index = 2
    public final static int LOCCART   = 3;        // index = 3
    public final static int MGRS      = 4;        // index = 4
    public final static int UTM       = 5;        // index = 5
    public final static int UPS       = 6;        // index = 6
    public final static int ALBERS    = 7;        // index = 7
    public final static int AZIMUTHAL = 8;        // index = 8
    public final static int BNG       = 9;        // index = 9
    public final static int BONNE     = 10;       // index = 10
    public final static int CASSINI   = 11;       // index = 11
    public final static int CYLEQA    = 12;       // index = 12
    public final static int ECKERT4   = 13;       // index = 13
    public final static int ECKERT6   = 14;       // index = 14
    public final static int EQDCYL    = 15;       // index = 15
    public final static int GNOMONIC  = 16;       // index = 16
    public final static int LAMBERT   = 17;       // index = 17
    public final static int MERCATOR  = 18;       // index = 18
    public final static int MILLER    = 19;       // index = 19
    public final static int MOLLWEIDE = 20;       // index = 20 
    public final static int NEYS      = 21;       // index = 21  
    public final static int NZMG      = 22;       // index = 22
    public final static int OMERC     = 23;       // index = 23
    public final static int ORTHOGRAPHIC = 24;    // index = 24
    public final static int POLARSTEREO = 25;     // index = 25
    public final static int POLYCONIC = 26;       // index = 26
    public final static int SINUSOIDAL = 27;      // index = 27
    public final static int STEREOGRAPHIC = 28;    // index = 28
    public final static int TRCYLEQA  = 29;       // index = 29
    public final static int TRANMERC  = 30;       // index = 30
    public final static int GRINTEN   = 31;       // index = 31
    public final static int F16GRS   = 32;       // index = 32
        
}
