/*
 * CreateDatumDlg.java
 * Created on September 5, 2000, 11:27 AM
 */

package geotrans;


/**
 * This class creats a user defined Datum 
 * if the input parameters are valid.  
 * 
 *
 * @author  Carol Finn
 * @version 1.0,  September 2000
 * 
 */
public class CreateDatumDlg extends javax.swing.JDialog {

  /** Creates new form CreateDatumDlg */
    public CreateDatumDlg(java.awt.Frame parent,boolean modal) {
    super (parent, modal);
    initComponents ();
    
    new FillList(ellipsoidComboBox, ListType.ELLIPSOID);
   
    if (Platform.isUnix)
    {
        datumCodeLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        datumNameLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        ellipsoidLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        datumShiftLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        deltaXLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        deltaYLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        deltaZLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        sigmaXLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        sigmaYLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        sigmaZLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        validDomainLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        northLatLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        westLonLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        eastLonLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        southLatLabel.setFont(new java.awt.Font("Dialog", 1, 10));
        okButton.setFont(new java.awt.Font("Dialog", 1, 10));
        cancelButton.setFont(new java.awt.Font("Dialog", 1, 10));
        ellipsoidComboBox.setFont(new java.awt.Font("Dialog", 1, 10));
        okButton.setMaximumSize(new java.awt.Dimension(21, 19));
        okButton.setMinimumSize(new java.awt.Dimension(21, 19));
        okButton.setPreferredSize(new java.awt.Dimension(21, 19));
        cancelButton.setMaximumSize(new java.awt.Dimension(43, 19));
        cancelButton.setMinimumSize(new java.awt.Dimension(43, 19));
        cancelButton.setPreferredSize(new java.awt.Dimension(43, 19));
    }
    pack ();
    new Center(parent, this);        
  }

  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the FormEditor.
   */
  private void initComponents() {//GEN-BEGIN:initComponents
      createDatumPanel = new javax.swing.JPanel();
      datumPanel = new javax.swing.JPanel();
      datumCodeLabel = new javax.swing.JLabel();
      datumNameLabel = new javax.swing.JLabel();
      datumCodeTextField = new javax.swing.JTextField();
      datumNameTextField = new javax.swing.JTextField();
      selectEllipsoidPanel = new javax.swing.JPanel();
      ellipsoidLabel = new javax.swing.JLabel();
      ellipsoidComboBox = new javax.swing.JComboBox();
      datumShiftLabel = new javax.swing.JLabel();
      deltaPanel = new javax.swing.JPanel();
      deltaXLabel = new javax.swing.JLabel();
      deltaYLabel = new javax.swing.JLabel();
      deltaZLabel = new javax.swing.JLabel();
      deltaXTextField = new javax.swing.JTextField();
      deltaYTextField = new javax.swing.JTextField();
      deltaZTextField = new javax.swing.JTextField();
      stdErrPanel = new javax.swing.JPanel();
      sigmaXLabel = new javax.swing.JLabel();
      sigmaYLabel = new javax.swing.JLabel();
      sigmaZLabel = new javax.swing.JLabel();
      sigmaXTextField = new javax.swing.JTextField();
      sigmaYTextField = new javax.swing.JTextField();
      sigmaZTextField = new javax.swing.JTextField();
      validDomainPanel = new javax.swing.JPanel();
      validDomainPanelSeparator = new javax.swing.JSeparator();
      validDomainLabel = new javax.swing.JLabel();
      domainAPanel = new javax.swing.JPanel();
      tempDomainALabel1 = new javax.swing.JLabel();
      northLatLabel = new javax.swing.JLabel();
      tempDomainALabel2 = new javax.swing.JLabel();
      westLonLabel = new javax.swing.JLabel();
      northLatTextField = new javax.swing.JTextField();
      eastLonLabel = new javax.swing.JLabel();
      domainBPanel = new javax.swing.JPanel();
      westLonTextField = new javax.swing.JTextField();
      southLatLabel = new javax.swing.JLabel();
      eastLonTextField = new javax.swing.JTextField();
      tempDomainBLabel1 = new javax.swing.JLabel();
      southLatTextField = new javax.swing.JTextField();
      tempDomainBLabel2 = new javax.swing.JLabel();
      okCancelPanel = new javax.swing.JPanel();
      okCancelSeparator = new javax.swing.JSeparator();
      buttonsPanel = new javax.swing.JPanel();
      okButton = new javax.swing.JButton();
      cancelButton = new javax.swing.JButton();
      getContentPane().setLayout(new java.awt.BorderLayout(15, 5));
      setTitle("Create Datum");
      setResizable(false);
      addWindowListener(new java.awt.event.WindowAdapter() {
          public void windowClosing(java.awt.event.WindowEvent evt) {
              closeDialog(evt);
          }
      }
      );
      
      createDatumPanel.setLayout(new java.awt.GridLayout(9, 1));
      createDatumPanel.setPreferredSize(new java.awt.Dimension(430, 375));
      createDatumPanel.setBorder(new javax.swing.border.EmptyBorder(new java.awt.Insets(0, 18, 0, 18)));
      createDatumPanel.setMinimumSize(new java.awt.Dimension(430, 200));
      createDatumPanel.setMaximumSize(new java.awt.Dimension(430, 500));
      
      datumPanel.setLayout(new java.awt.GridLayout(2, 2, 20, 0));
        
        datumCodeLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          datumCodeLabel.setText("Code:");
          datumCodeLabel.setForeground(java.awt.Color.black);
          datumCodeLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          datumPanel.add(datumCodeLabel);
          
          
        datumNameLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          datumNameLabel.setText("Name:");
          datumNameLabel.setForeground(java.awt.Color.black);
          datumNameLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          datumPanel.add(datumNameLabel);
          
          
        datumCodeTextField.setBorder(new javax.swing.border.BevelBorder(1));
          datumCodeTextField.setText("WGE");
          datumPanel.add(datumCodeTextField);
          
          
        datumNameTextField.setBorder(new javax.swing.border.BevelBorder(1));
          datumNameTextField.setText("World Geodetic System  1984");
          datumPanel.add(datumNameTextField);
          
          createDatumPanel.add(datumPanel);
        
        
      selectEllipsoidPanel.setLayout(new java.awt.GridBagLayout());
        java.awt.GridBagConstraints gridBagConstraints1;
        
        ellipsoidLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          ellipsoidLabel.setText("Ellipsoid:");
          ellipsoidLabel.setForeground(java.awt.Color.black);
          ellipsoidLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          gridBagConstraints1 = new java.awt.GridBagConstraints();
          gridBagConstraints1.gridx = 0;
          gridBagConstraints1.gridy = 0;
          gridBagConstraints1.anchor = java.awt.GridBagConstraints.WEST;
          selectEllipsoidPanel.add(ellipsoidLabel, gridBagConstraints1);
          
          
        ellipsoidComboBox.setPreferredSize(new java.awt.Dimension(250, 22));
          ellipsoidComboBox.setMinimumSize(new java.awt.Dimension(126, 8));
          ellipsoidComboBox.setMaximumSize(new java.awt.Dimension(400, 25));
          gridBagConstraints1 = new java.awt.GridBagConstraints();
          gridBagConstraints1.gridx = 0;
          gridBagConstraints1.gridy = 1;
          selectEllipsoidPanel.add(ellipsoidComboBox, gridBagConstraints1);
          
          createDatumPanel.add(selectEllipsoidPanel);
        
        
      datumShiftLabel.setText("Datum Shift to WGS84");
        datumShiftLabel.setForeground(java.awt.Color.black);
        datumShiftLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        createDatumPanel.add(datumShiftLabel);
        
        
      deltaPanel.setLayout(new java.awt.GridLayout(2, 3, 20, 0));
        
        deltaXLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          deltaXLabel.setText("Delta X (m):");
          deltaXLabel.setForeground(java.awt.Color.black);
          deltaXLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          deltaPanel.add(deltaXLabel);
          
          
        deltaYLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          deltaYLabel.setText(" Delta Y (m):");
          deltaYLabel.setForeground(java.awt.Color.black);
          deltaYLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          deltaPanel.add(deltaYLabel);
          
          
        deltaZLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          deltaZLabel.setText("Delta Z (m):");
          deltaZLabel.setForeground(java.awt.Color.black);
          deltaZLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          deltaPanel.add(deltaZLabel);
          
          
        deltaXTextField.setBorder(new javax.swing.border.BevelBorder(1));
          deltaXTextField.setText("0");
          deltaPanel.add(deltaXTextField);
          
          
        deltaYTextField.setBorder(new javax.swing.border.BevelBorder(1));
          deltaYTextField.setText("0");
          deltaPanel.add(deltaYTextField);
          
          
        deltaZTextField.setBorder(new javax.swing.border.BevelBorder(1));
          deltaZTextField.setText("0");
          deltaPanel.add(deltaZTextField);
          
          createDatumPanel.add(deltaPanel);
        
        
      stdErrPanel.setLayout(new java.awt.GridLayout(2, 3, 20, 0));
        
        sigmaXLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          sigmaXLabel.setText("Std. Err in X (m):");
          sigmaXLabel.setForeground(java.awt.Color.black);
          sigmaXLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          stdErrPanel.add(sigmaXLabel);
          
          
        sigmaYLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          sigmaYLabel.setText("Std. Err in Y (m):");
          sigmaYLabel.setForeground(java.awt.Color.black);
          sigmaYLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          stdErrPanel.add(sigmaYLabel);
          
          
        sigmaZLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          sigmaZLabel.setText("Std. Err in Z (m):");
          sigmaZLabel.setForeground(java.awt.Color.black);
          sigmaZLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          stdErrPanel.add(sigmaZLabel);
          
          
        sigmaXTextField.setBorder(new javax.swing.border.BevelBorder(1));
          sigmaXTextField.setText("-1");
          stdErrPanel.add(sigmaXTextField);
          
          
        sigmaYTextField.setBorder(new javax.swing.border.BevelBorder(1));
          sigmaYTextField.setText("-1");
          stdErrPanel.add(sigmaYTextField);
          
          
        sigmaZTextField.setBorder(new javax.swing.border.BevelBorder(1));
          sigmaZTextField.setText("-1");
          stdErrPanel.add(sigmaZTextField);
          
          createDatumPanel.add(stdErrPanel);
        
        
      validDomainPanel.setLayout(new java.awt.GridLayout(2, 1));
        
        validDomainPanelSeparator.setForeground(java.awt.Color.black);
          validDomainPanel.add(validDomainPanelSeparator);
          
          
        validDomainLabel.setText("Valid Domain");
          validDomainLabel.setForeground(java.awt.Color.black);
          validDomainLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
          validDomainPanel.add(validDomainLabel);
          
          createDatumPanel.add(validDomainPanel);
        
        
      domainAPanel.setLayout(new java.awt.GridLayout(2, 3, 20, 0));
        
        tempDomainALabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
          tempDomainALabel1.setFont(new java.awt.Font ("Dialog", 0, 10));
          domainAPanel.add(tempDomainALabel1);
          
          
        northLatLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          northLatLabel.setText("Northern Latitude:");
          northLatLabel.setForeground(java.awt.Color.black);
          northLatLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          domainAPanel.add(northLatLabel);
          
          
        tempDomainALabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
          tempDomainALabel2.setFont(new java.awt.Font ("Dialog", 0, 10));
          domainAPanel.add(tempDomainALabel2);
          
          
        westLonLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          westLonLabel.setText("Western Longitude:");
          westLonLabel.setForeground(java.awt.Color.black);
          westLonLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          domainAPanel.add(westLonLabel);
          
          
        northLatTextField.setBorder(new javax.swing.border.BevelBorder(1));
          northLatTextField.setText("90 00 00.0N");
          domainAPanel.add(northLatTextField);
          
          
        eastLonLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          eastLonLabel.setText("Eastern Longitude:");
          eastLonLabel.setForeground(java.awt.Color.black);
          eastLonLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          domainAPanel.add(eastLonLabel);
          
          createDatumPanel.add(domainAPanel);
        
        
      domainBPanel.setLayout(new java.awt.GridLayout(2, 3, 20, 0));
        
        westLonTextField.setBorder(new javax.swing.border.BevelBorder(1));
          westLonTextField.setText("180 00 00.0W");
          domainBPanel.add(westLonTextField);
          
          
        southLatLabel.setVerticalAlignment(javax.swing.SwingConstants.BOTTOM);
          southLatLabel.setText("Southern Latitude:");
          southLatLabel.setForeground(java.awt.Color.black);
          southLatLabel.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
          domainBPanel.add(southLatLabel);
          
          
        eastLonTextField.setBorder(new javax.swing.border.BevelBorder(1));
          eastLonTextField.setText("180 00 00.0E");
          domainBPanel.add(eastLonTextField);
          
          
        tempDomainBLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
          tempDomainBLabel1.setFont(new java.awt.Font ("Dialog", 0, 10));
          domainBPanel.add(tempDomainBLabel1);
          
          
        southLatTextField.setBorder(new javax.swing.border.BevelBorder(1));
          southLatTextField.setText("90 00 00.0S");
          domainBPanel.add(southLatTextField);
          
          
        tempDomainBLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
          tempDomainBLabel2.setFont(new java.awt.Font ("Dialog", 0, 10));
          domainBPanel.add(tempDomainBLabel2);
          
          createDatumPanel.add(domainBPanel);
        
        
      okCancelPanel.setLayout(new java.awt.GridLayout(2, 1));
        
        okCancelSeparator.setForeground(java.awt.Color.black);
          okCancelPanel.add(okCancelSeparator);
          
          
        buttonsPanel.setLayout(new java.awt.GridBagLayout());
          java.awt.GridBagConstraints gridBagConstraints2;
          
          okButton.setBorder(new javax.swing.border.BevelBorder(0));
            okButton.setMnemonic(java.awt.event.KeyEvent.VK_O);
            okButton.setText("OK");
            okButton.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent evt) {
                    okActionPerformed(evt);
                }
            }
            );
            gridBagConstraints2 = new java.awt.GridBagConstraints();
            gridBagConstraints2.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints2.ipadx = 55;
            gridBagConstraints2.insets = new java.awt.Insets(0, 0, 1, 35);
            buttonsPanel.add(okButton, gridBagConstraints2);
            
            
          cancelButton.setBorder(new javax.swing.border.BevelBorder(0));
            cancelButton.setMnemonic(java.awt.event.KeyEvent.VK_C);
            cancelButton.setText("Cancel");
            cancelButton.addActionListener(new java.awt.event.ActionListener() {
                public void actionPerformed(java.awt.event.ActionEvent evt) {
                    cancelActionPerformed(evt);
                }
            }
            );
            gridBagConstraints2 = new java.awt.GridBagConstraints();
            gridBagConstraints2.gridx = 2;
            gridBagConstraints2.gridy = 0;
            gridBagConstraints2.fill = java.awt.GridBagConstraints.HORIZONTAL;
            gridBagConstraints2.ipadx = 30;
            gridBagConstraints2.insets = new java.awt.Insets(0, 35, 1, 0);
            buttonsPanel.add(cancelButton, gridBagConstraints2);
            
            okCancelPanel.add(buttonsPanel);
          
          createDatumPanel.add(okCancelPanel);
        
        
      getContentPane().add(createDatumPanel, java.awt.BorderLayout.CENTER);
      
  }//GEN-END:initComponents

  private void cancelActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelActionPerformed
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_cancelActionPerformed

  private void okActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_okActionPerformed

    JNIEngine jniEngine = new JNIEngine();
    JNIStrtoval jniStrtoval = new JNIStrtoval();
    
    double deltaX = jniStrtoval.stringToDouble(deltaXTextField.getText().trim(), "Invalid Delta X");
    double deltaY = jniStrtoval.stringToDouble(deltaYTextField.getText().trim(), "Invalid Delta Y");
    double deltaZ = jniStrtoval.stringToDouble(deltaZTextField.getText().trim(), "Invalid Delta Z");
    double sigmaX = jniStrtoval.stringToDouble(sigmaXTextField.getText().trim(), "Invalid Std. Error in X");
    double sigmaY = jniStrtoval.stringToDouble(sigmaYTextField.getText().trim(), "Invalid Std. Error in Y");
    double sigmaZ = jniStrtoval.stringToDouble(sigmaZTextField.getText().trim(), "Invalid Std. Error in Z");
    double southLat = jniStrtoval.stringToLatitude(southLatTextField.getText().trim(), "Invalid Southern Latitude");
    double northLat = jniStrtoval.stringToLatitude(northLatTextField.getText().trim(), "Invalid Northern Latitude");
    double westLon = jniStrtoval.stringToLongitude(westLonTextField.getText().trim(), "Invalid Western Longitude");
    double eastLon = jniStrtoval.stringToLongitude(eastLonTextField.getText().trim(), "Invalid Eastern Longitude");
    
    if(jniStrtoval.getEngineError() || jniStrtoval.getJNIError())
    {
        jniStrtoval.displayErrorMsg(this);
    }
    else
    {
        try
        {
            jniEngine.JNIDefineDatum(datumCodeTextField.getText().trim(), datumNameTextField.getText().trim(),
                                     jniEngine.JNIGetEllipsoidCode(ellipsoidComboBox.getSelectedIndex() + 1),
                                     deltaX, deltaY, deltaZ, sigmaX, sigmaY, sigmaZ, southLat, northLat, westLon, eastLon);
            setVisible (false);
            dispose ();
        }
        catch(GeotransError e)
        {
            jniStrtoval.displayErrorMsg(this, e.getMessage());
        }
        catch(JNIException e)
        {
            jniStrtoval.displayErrorMsg(this, e.getMessage());
        }
    }
  }//GEN-LAST:event_okActionPerformed

  private void ellipsoidComboBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ellipsoidComboBoxActionPerformed
    
      ellipsoidComboBox.getSelectedIndex();
    
  }//GEN-LAST:event_ellipsoidComboBoxActionPerformed

  /** Closes the dialog */
  private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_closeDialog
    
  /**
  * @param args the command line arguments
  */
  public static void main (String args[]) {
    new CreateDatumDlg (new javax.swing.JFrame (), true).show ();
  }
  
  
  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JPanel createDatumPanel;
  private javax.swing.JPanel datumPanel;
  private javax.swing.JLabel datumCodeLabel;
  private javax.swing.JLabel datumNameLabel;
  private javax.swing.JTextField datumCodeTextField;
  private javax.swing.JTextField datumNameTextField;
  private javax.swing.JPanel selectEllipsoidPanel;
  private javax.swing.JLabel ellipsoidLabel;
  private javax.swing.JComboBox ellipsoidComboBox;
  private javax.swing.JLabel datumShiftLabel;
  private javax.swing.JPanel deltaPanel;
  private javax.swing.JLabel deltaXLabel;
  private javax.swing.JLabel deltaYLabel;
  private javax.swing.JLabel deltaZLabel;
  private javax.swing.JTextField deltaXTextField;
  private javax.swing.JTextField deltaYTextField;
  private javax.swing.JTextField deltaZTextField;
  private javax.swing.JPanel stdErrPanel;
  private javax.swing.JLabel sigmaXLabel;
  private javax.swing.JLabel sigmaYLabel;
  private javax.swing.JLabel sigmaZLabel;
  private javax.swing.JTextField sigmaXTextField;
  private javax.swing.JTextField sigmaYTextField;
  private javax.swing.JTextField sigmaZTextField;
  private javax.swing.JPanel validDomainPanel;
  private javax.swing.JSeparator validDomainPanelSeparator;
  private javax.swing.JLabel validDomainLabel;
  private javax.swing.JPanel domainAPanel;
  private javax.swing.JLabel tempDomainALabel1;
  private javax.swing.JLabel northLatLabel;
  private javax.swing.JLabel tempDomainALabel2;
  private javax.swing.JLabel westLonLabel;
  private javax.swing.JTextField northLatTextField;
  private javax.swing.JLabel eastLonLabel;
  private javax.swing.JPanel domainBPanel;
  private javax.swing.JTextField westLonTextField;
  private javax.swing.JLabel southLatLabel;
  private javax.swing.JTextField eastLonTextField;
  private javax.swing.JLabel tempDomainBLabel1;
  private javax.swing.JTextField southLatTextField;
  private javax.swing.JLabel tempDomainBLabel2;
  private javax.swing.JPanel okCancelPanel;
  private javax.swing.JSeparator okCancelSeparator;
  private javax.swing.JPanel buttonsPanel;
  private javax.swing.JButton okButton;
  private javax.swing.JButton cancelButton;
  // End of variables declaration//GEN-END:variables

} // end of class.
